# Gimp.main

    function main(plug_in_type: GObject.Type, argv: Array(String)): Number(gint) {
        // Gjs wrapper for gimp_main()
    }

The main plug-in function that must be called with the plug-in's [class@Gimp.PlugIn] subclass GLib.Type and the 'argc' and 'argv' that are passed to the platform's `main()`.

For instance, in Python, you will want to end your plug-in with this call:

```py Gimp.main(MyPlugIn.__gtype__, sys.argv) ```

For C plug-ins, use instead the [func@Gimp.MAIN] macro

Since 3.0

plug_in_type

  the type of the Gimp.PlugIn subclass of the plug-in

argv

  the arguments

Returns

  an exit status as defined by the C library, on success `EXIT_SUCCESS`.